libzypp 17.37.10

Resolvable.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <zypp-core/Globals.h>`
`#include <zypp/base/ReferenceCounted.h>`
`#include <zypp/base/NonCopyable.h>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp/sat/SolvableType.h>`

Go to the source code of this file.

## Classes
class | zypp::Resolvable
| Base for resolvable objects. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
template<>
bool | zypp::isKind< Resolvable > (const Resolvable::constPtr &p)
template<>
bool | zypp::isKind< ResObject > (const Resolvable::constPtr &p)
template<class TRes>
ResTraits< TRes >::constPtrType | zypp::asKind (const ResObject::constPtr &p)